classification
Title: multiprocessing.manager BaseManager cannot return proxies from proxies remotely (when listening on '')
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Wilson.Harron, python-dev, sbt
Priority: normal Keywords:

Created on 2013-02-20 23:20 by Wilson.Harron, last changed 2013-07-02 12:41 by sbt. This issue is now closed.

Files
File name Uploaded Description Edit
proxytest.py Wilson.Harron, 2013-02-20 23:20 a quick example of the error seen - the error occurs on line 58
Messages (2)
msg182567 - (view) Author: Wilson Harron (Wilson.Harron) Date: 2013-02-20 23:20
If a manager is running listening to all ports ('0.0.0.0') and the manager has a proxy that returns another proxy the client will not be able to create the resulting proxy. 

This is because the server (manager) returns '0.0.0.0' in the token returned, and the therefore the client cannot connect to the proxy.
msg192191 - (view) Author: Roundup Robot (python-dev) Date: 2013-07-02 12:41
New changeset 20b59fec1123 by Richard Oudkerk in branch '2.7':
Issue #17261: Ensure multiprocessing's proxies use proper address.
http://hg.python.org/cpython/rev/20b59fec1123

New changeset be4b9e677187 by Richard Oudkerk in branch '3.3':
Issue #17261: Ensure multiprocessing's proxies use proper address.
http://hg.python.org/cpython/rev/be4b9e677187

New changeset 7387b884f833 by Richard Oudkerk in branch 'default':
Issue #17261: Ensure multiprocessing's proxies use proper address.
http://hg.python.org/cpython/rev/7387b884f833
History
Date User Action Args
2013-07-02 12:41:56sbtsetstatus: open -> closed
stage: resolved
resolution: fixed
versions: + Python 3.3, Python 3.4
2013-07-02 12:41:04python-devsetnosy: + python-dev
messages: + msg192191
2013-02-21 10:34:54sbtsetnosy: + sbt
2013-02-20 23:20:42Wilson.Harroncreate